package com.red.circle.console.app.service.app.props;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.material.PropsActivityRewardGroupParamCmd;
import com.red.circle.other.inner.model.cmd.material.PropsActivityRewardGroupQryCmd;
import com.red.circle.other.inner.model.dto.material.ActivityGroupKeyValueDTO;
import com.red.circle.other.inner.model.dto.material.PropsActivityRewardGroupDTO;
import java.util.List;

/**
 * 道具活动配置分组
 *
 * @author zongpubin on 2023/10/23
 */
public interface PropsActivityRewardGroupService {

  PageResult<PropsActivityRewardGroupDTO> pagePropsActivityRewardGroup(PropsActivityRewardGroupQryCmd query);

  PropsActivityRewardGroupDTO getByGroupId(Long id);

  String saveOrUpdate(PropsActivityRewardGroupParamCmd propsActivityRewardGroupParam);

  void offShelf(Long id, Boolean offShelf);

  List<ActivityGroupKeyValueDTO> getActivityGroupKeyValueList();
}
